> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/cn/web-scraper-api/features/http-context-and-job-management/client-notes.md).

# 客户端备注

你可以添加 `client_notes` 参数，在通过 `v1/queries` 端点提交任务时使用。这些客户端备注随后会连同其他任务信息一起保存到数据库和 s3 存储中。

#### 载荷示例

```json
{
    "source": "universal",
    "url": "https://sandbox.oxylabs.io",
    "client_notes": "123456789"
}
```

#### 响应示例

```json
{
    "_links": [
        {
            "href": "http://data.oxylabs.io/v1/queries/7099386176976459777",
            "method": "GET",
            "rel": "self"
        },
        {
            "href": "http://data.oxylabs.io/v1/queries/7099386176976459777/results",
            "method": "GET",
            "rel": "results"
        }
    ],
    "callback_url": null,
    "client_id": 1234,
    "client_notes": "123456789",
....
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/products/cn/web-scraper-api/features/http-context-and-job-management/client-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
